import { CanvasConfig } from './CanvasConfig.js';
export declare class RevealBoundaryStore {
    id: number;
    container: HTMLElement;
    clientX: number;
    clientY: number;
    paintedClientX: number;
    paintedClientY: number;
    mouseInBoundary: boolean;
    canvasList: CanvasConfig[];
    animationQueue: CanvasConfig[];
    animationFrame: number | null;
    mouseUpClientX: null;
    mouseUpClientY: null;
    mouseDownAnimateStartFrame: null;
    mouseDownAnimateCurrentFrame: null;
    mouseDownAnimateReleasedFrame: null;
    mouseDownAnimateLogicFrame: null;
    mousePressed: boolean;
    mouseReleased: boolean;
    maxRadius: number;
    requestedAnimationFrame: boolean;
    constructor(id: number, $el: HTMLElement);
    addReveal: ($canvas: HTMLCanvasElement, $container: HTMLElement) => void;
    removeReveal: ($el: HTMLCanvasElement) => void;
    updateMaxRadius: (x: number) => void;
    requestPaintAll: () => void;
    onPointerMoveOnScreen: (x: number, y: number) => boolean;
    onPointerEnterBoundary: () => void;
    onPointerLeaveBoundary: () => void;
    paintAll: (frame: number, skipSamePointerPositionCheck?: boolean | undefined) => void;
    clearAll: () => void;
    initializeAnimation: () => void;
    switchAnimation: () => void;
    cleanUpAnimation: (config: CanvasConfig) => void;
    getRevealAnimationConfig: () => CanvasConfig | null;
}
//# sourceMappingURL=RevealBoundryStore.d.ts.map